#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Ember.InjectedProperty Class

Defined in: `packages/ember-metal/lib/injected_property.js:7`
Module: ember

Read-only property that returns the result of a container lookup.

## Constructor

### `Ember.InjectedProperty`

(

- `type`
- `name`

)
private

Defined in `packages/ember-metal/lib/injected_property.js:7`

#### Parameters:

- `type` String

  The container type the property will lookup

- `name` String

  (optional) The name the property will lookup, defaults to the property's name

- Index

## Item Index